//
//
{
  gROOT->Reset();

  gSystem->Load("libPhysics.so");
  //gSystem->Load("libTKLTrack.so");

  TFile f("testData.root");

  TTree *tr = (TTree*)f.Get("event_tree");
  TBranch *br = tr->GetBranch("tfmuon.");

  br->GetEntry(0);

  TIter Next(br->GetListOfBranches());
  TObject *obj;
  TBranch *subbr;
  
  while(subbr = (TBranch*)Next()) {
    TIter NextLeaf(subbr->GetListOfLeaves());
    TLeaf *leaf;
    while(leaf = (TLeaf*)NextLeaf()) {
      cout << leaf->GetName() << " " << leaf->GetValue() << endl;
    }
  }

}
